# $context.state

Returns the state of an IRC context

Usage

    $context.state
    $context.state(<irc_context_id>)

Description
Returns a string describing the state of the specified irc context. The string will be either "idle","connecting","loggingin" or "connected". If no irc_context_id is specified then the current irc_context is used. If the irc_context_id specification is not valid then this function returns nothing.
Syntax Specification

    <string> $context.state
    <string> $context.state(<irc_context_id:uint>)

See also
$context.serverhostname, $context.serveripaddress

Index, Functions

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011